ApiClusterTemplate (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiClusterTemplate

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterTemplate

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiClusterTemplate
      extends Object

  Details of cluster template

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterTemplate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClusterTemplate` | `addHostTemplatesItem(ApiClusterTemplateHostTemplate hostTemplatesItem)`
    `ApiClusterTemplate` | `addProductsItem(ApiProductVersion productsItem)`
    `ApiClusterTemplate` | `addRepositoriesItem(String repositoriesItem)`
    `ApiClusterTemplate` | `addServicesItem(ApiClusterTemplateService servicesItem)`
    `ApiClusterTemplate` | `addTagsItem(ApiEntityTag tagsItem)`
    `ApiClusterTemplate` | `cdhVersion(String cdhVersion)`
    `ApiClusterTemplate` | `clusterSpec(ApiClusterTemplateClusterSpec clusterSpec)`
    `ApiClusterTemplate` | `cmVersion(String cmVersion)`
    `ApiClusterTemplate` | `dataServicesVersion(String dataServicesVersion)`
    `ApiClusterTemplate` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `ApiClusterTemplate` | `experienceVersion(String experienceVersion)`
    `String` | `getCdhVersion()` CDH version
    `ApiClusterTemplateClusterSpec` | `getClusterSpec()` Get clusterSpec
    `String` | `getCmVersion()` CM version for which the template
    `String` | `getDataServicesVersion()` Data Services version
    `String` | `getDisplayName()` Cluster display name
    `String` | `getExperienceVersion()` Deprecated.
    `List<ApiClusterTemplateHostTemplate>` | `getHostTemplates()` All host templates
    `ApiClusterTemplateInstantiator` | `getInstantiator()` Get instantiator
    `List<ApiProductVersion>` | `getProducts()` All the parcels that needs to be deployed and activated
    `List<String>` | `getRepositories()` List of all repositories registered with CM
    `List<ApiClusterTemplateService>` | `getServices()` All the services that needs to be deployed
    `List<ApiEntityTag>` | `getTags()` Tags associated with the cluster
    `int` | `hashCode()`
    `ApiClusterTemplate` | `hostTemplates(List<ApiClusterTemplateHostTemplate> hostTemplates)`
    `ApiClusterTemplate` | `instantiator(ApiClusterTemplateInstantiator instantiator)`
    `ApiClusterTemplate` | `products(List<ApiProductVersion> products)`
    `ApiClusterTemplate` | `repositories(List<String> repositories)`
    `ApiClusterTemplate` | `services(List<ApiClusterTemplateService> services)`
    `void` | `setCdhVersion(String cdhVersion)`
    `void` | `setClusterSpec(ApiClusterTemplateClusterSpec clusterSpec)`
    `void` | `setCmVersion(String cmVersion)`
    `void` | `setDataServicesVersion(String dataServicesVersion)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setExperienceVersion(String experienceVersion)`
    `void` | `setHostTemplates(List<ApiClusterTemplateHostTemplate> hostTemplates)`
    `void` | `setInstantiator(ApiClusterTemplateInstantiator instantiator)`
    `void` | `setProducts(List<ApiProductVersion> products)`
    `void` | `setRepositories(List<String> repositories)`
    `void` | `setServices(List<ApiClusterTemplateService> services)`
    `void` | `setTags(List<ApiEntityTag> tags)`
    `ApiClusterTemplate` | `tags(List<ApiEntityTag> tags)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterTemplate

          public ApiClusterTemplate()

  - ### Method Detail

    - #### cdhVersion

          public ApiClusterTemplate cdhVersion(String cdhVersion)

    - #### getCdhVersion

          public String getCdhVersion()

      CDH version
      Returns:
        cdhVersion

    - #### setCdhVersion

          public void setCdhVersion(String cdhVersion)

    - #### experienceVersion

          public ApiClusterTemplate experienceVersion(String experienceVersion)

    - #### getExperienceVersion

          public String getExperienceVersion()

      Deprecated. Use dataServicesVersion instead.
      Returns:
        experienceVersion

    - #### setExperienceVersion

          public void setExperienceVersion(String experienceVersion)

    - #### dataServicesVersion

          public ApiClusterTemplate dataServicesVersion(String dataServicesVersion)

    - #### getDataServicesVersion

          public String getDataServicesVersion()

      Data Services version
      Returns:
        dataServicesVersion

    - #### setDataServicesVersion

          public void setDataServicesVersion(String dataServicesVersion)

    - #### products

          public ApiClusterTemplate products(List<ApiProductVersion> products)

    - #### addProductsItem

          public ApiClusterTemplate addProductsItem(ApiProductVersion productsItem)

    - #### getProducts

          public List<ApiProductVersion> getProducts()

      All the parcels that needs to be deployed and activated
      Returns:
        products

    - #### setProducts

          public void setProducts(List<ApiProductVersion> products)

    - #### services

          public ApiClusterTemplate services(List<ApiClusterTemplateService> services)

    - #### addServicesItem

          public ApiClusterTemplate addServicesItem(ApiClusterTemplateService servicesItem)

    - #### getServices

          public List<ApiClusterTemplateService> getServices()

      All the services that needs to be deployed
      Returns:
        services

    - #### setServices

          public void setServices(List<ApiClusterTemplateService> services)

    - #### hostTemplates

          public ApiClusterTemplate hostTemplates(List<ApiClusterTemplateHostTemplate> hostTemplates)

    - #### addHostTemplatesItem

          public ApiClusterTemplate addHostTemplatesItem(ApiClusterTemplateHostTemplate hostTemplatesItem)

    - #### getHostTemplates

          public List<ApiClusterTemplateHostTemplate> getHostTemplates()

      All host templates
      Returns:
        hostTemplates

    - #### setHostTemplates

          public void setHostTemplates(List<ApiClusterTemplateHostTemplate> hostTemplates)

    - #### displayName

          public ApiClusterTemplate displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Cluster display name
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### cmVersion

          public ApiClusterTemplate cmVersion(String cmVersion)

    - #### getCmVersion

          public String getCmVersion()

      CM version for which the template
      Returns:
        cmVersion

    - #### setCmVersion

          public void setCmVersion(String cmVersion)

    - #### instantiator

          public ApiClusterTemplate instantiator(ApiClusterTemplateInstantiator instantiator)

    - #### getInstantiator

          public ApiClusterTemplateInstantiator getInstantiator()

      Get instantiator
      Returns:
        instantiator

    - #### setInstantiator

          public void setInstantiator(ApiClusterTemplateInstantiator instantiator)

    - #### repositories

          public ApiClusterTemplate repositories(List<String> repositories)

    - #### addRepositoriesItem

          public ApiClusterTemplate addRepositoriesItem(String repositoriesItem)

    - #### getRepositories

          public List<String> getRepositories()

      List of all repositories registered with CM
      Returns:
        repositories

    - #### setRepositories

          public void setRepositories(List<String> repositories)

    - #### clusterSpec

          public ApiClusterTemplate clusterSpec(ApiClusterTemplateClusterSpec clusterSpec)

    - #### getClusterSpec

          public ApiClusterTemplateClusterSpec getClusterSpec()

      Get clusterSpec
      Returns:
        clusterSpec

    - #### setClusterSpec

          public void setClusterSpec(ApiClusterTemplateClusterSpec clusterSpec)

    - #### tags

          public ApiClusterTemplate tags(List<ApiEntityTag> tags)

    - #### addTagsItem

          public ApiClusterTemplate addTagsItem(ApiEntityTag tagsItem)

    - #### getTags

          public List<ApiEntityTag> getTags()

      Tags associated with the cluster
      Returns:
        tags

    - #### setTags

          public void setTags(List<ApiEntityTag> tags)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.